#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         jpoirier
%global repo            cpu
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20141224.5b5a7ea
Release:        3.1
Summary:        A Go package that reports processor topology
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
The cpu package reports processor topology information. Note that the term
package refers to a physical processor and system refers to multiple packages.
Also, a processor's hardware capability may differ from its configuration.

%prep
%setup -q -n %{repo}-%{version}

# fix wrong permissions
chmod -x README LICENSE

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE

%changelog
* Mon Dec 19 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Wed Sep  2 2015 dvaleev@suse.com
- set ExclusiveArch to intel architecture.
  (Requires cpuid instuction)
* Sat Jul 25 2015 i@marguerite.su
- rename golang-github-jpoirier-cpu
- update version 0.0.0+git20141224.5b5a7ea
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20120228.3403179:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Fri Jun 24 2011 saschpe@suse.de
- Initial version
